<?php

namespace App\Domains\Admin\Controllers;

use App\Providers\InertiaProvider;
use App\Scopes\CommonController;
use Illuminate\Http\Request;
use Inertia\Response;

class UserListPageController extends CommonController
{
    public function __invoke(Request $request): Response
    {
        $inertiaProvider = new InertiaProvider('Admin/UserList', [
            'isLvTenant' => $this->tenant->slug === 'lv',
        ]);
        return $inertiaProvider->render();
    }
}
